#
# spec file for package assimp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 3
Name:           assimp
Version:        3.0.1270
Release:        0
Summary:        Library to load and process 3D scenes from various data formats
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://assimp.sourceforge.net/
Source0:        http://sourceforge.net/projects/assimp/files/assimp-3.0/assimp--%{version}-source-only.zip
BuildRequires:  boost-devel
BuildRequires:  c++_compiler
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  unzip
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Assimp is a library to load and process geometric scenes from various data formats. It is tailored at typical game scenarios by supporting a node hierarchy, static or skinned meshes, materials, bone animations and potential texture data. The library is not designed for speed, it is primarily useful for importing assets from various sources once and storing it in a engine-specific format for easy and fast every-day-loading.

%package -n lib%{name}%{soname}
Summary:        Headers, docs and command-line utility for %{name}
Group:          Development/Libraries/C and C++

%description -n lib%{name}%{soname}
Assimp is a library to load and process geometric scenes from various data formats. It is tailored at typical game scenarios by supporting a node hierarchy, static or skinned meshes, materials, bone animations and potential texture data. The library is not designed for speed, it is primarily useful for importing assets from various sources once and storing it in a engine-specific format for easy and fast every-day-loading.

%package devel
Summary:        Headers, docs and command-line utility for %{name}
Group:          Development/Libraries/C and C++
BuildRequires:  pkgconfig
Requires:       glibc-devel
Requires:       lib%{name}%{soname} = %{version}
Requires:       libstdc++-devel

%description devel
Assimp is a library to load and process geometric scenes from various data formats. It is tailored at typical game scenarios by supporting a node hierarchy, static or skinned meshes, materials, bone animations and potential texture data. The library is not designed for speed, it is primarily useful for importing assets from various sources once and storing it in a engine-specific format for easy and fast every-day-loading.

%prep
%setup -q -n assimp--%{version}-source-only
dos2unix LICENSE
dos2unix CREDITS
dos2unix CHANGES
dos2unix README

%build
cmake . \
      -DCMAKE_BUILD_TYPE="Release" \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB_INSTALL_DIR=%{_libdir}
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf examples/.deps
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

%post -n lib%{name}%{soname}  -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%doc CREDITS README LICENSE
%{_libdir}/libassimp.so.3*

%files devel
%defattr(-,root,root)
%doc CREDITS README LICENSE CHANGES Documentation.chm CommandLine.chm samples/
%dir %{_includedir}/assimp
%dir %{_includedir}/assimp/Compiler
%dir %{_libdir}/cmake/assimp-3.0
%{_includedir}/assimp/Compiler/*.h
%{_includedir}/assimp/*.h
%{_includedir}/assimp/*.inl
%{_includedir}/assimp/*.hpp
%{_bindir}/assimp
%{_libdir}/libassimp.so
%{_libdir}/cmake/assimp-3.0/assimp-config.cmake
%{_libdir}/cmake/assimp-3.0/assimp-config-version.cmake
%{_libdir}/pkgconfig/assimp.pc

%changelog
